Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.notification.topics.impl
Class SimpleTopicNamespace

    java.lang.Object
      org.apache.muse.ws.notification.topics.impl.SimpleTopicNamespace

All Implemented Interfaces:
  TopicNamespace, XmlSerializable

public class SimpleTopicNamespace
extends java.lang.Object
implements TopicNamespace

SimpleTopicNamespace is Muse's default implementation of the wsnt:TopicNamespace data structure defined in WS-Notification v1.3 and WS-Topics v1.3.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleTopicNamespace(org.w3c.dom.Element root)`
`SimpleTopicNamespace(java.lang.String targetNamespace)`

Method Summary
`void` | `addTopic(Topic topic)` Adds a root topic to the namespace.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`java.util.Collection` | `getRootTopics()`
`java.lang.String` | `getTargetNamespace()`
`Topic` | `getTopic(java.lang.String topicName)`
`int` | `hashCode()`
`boolean` | `hasTopic(java.lang.String topicName)`
`void` | `removeTopic(java.lang.String topicName)`
`void` | `setName(java.lang.String name)`
`java.lang.String` | `toString()`
`org.w3c.dom.Element` | `toXML()` Converts this object into an XML representation, as defined by its related schema or specification.
`org.w3c.dom.Element` | `toXML(org.w3c.dom.Document doc)` Converts this object into an XML representation, as defined by its related schema or specification.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleTopicNamespace

    public SimpleTopicNamespace(org.w3c.dom.Element root)
                         throws BaseFault

### SimpleTopicNamespace

    public SimpleTopicNamespace(java.lang.String targetNamespace)

Method Detail

### addTopic

    public final void addTopic(Topic topic)
                        throws BaseFault

  Description copied from interface: `TopicNamespace`
  Adds a root topic to the namespace.

  Specified by:
    `addTopic` in interface `TopicNamespace`
  Parameters:
    `topic` -
  Throws:
    `BaseFault`

### equals

    public boolean equals(java.lang.Object obj)

  Returns:
    True if the two topic namespaces have the same target namespace.

### getName

    public final java.lang.String getName()

  Specified by:
    `getName` in interface `TopicNamespace`
  Returns:
    The local name of the topic namespace.

### getRootTopics

    public final java.util.Collection getRootTopics()

  Specified by:
    `getRootTopics` in interface `TopicNamespace`
  Returns:
    All of the topics in the namespace that don't have a parent topic.

### getTargetNamespace

    public final java.lang.String getTargetNamespace()

  Specified by:
    `getTargetNamespace` in interface `TopicNamespace`
  Returns:
    The namespace URI that represents the topic namespace.

### getTopic

    public final Topic getTopic(java.lang.String topicName)

  Specified by:
    `getTopic` in interface `TopicNamespace`
  Parameters:
    `topicName` -
  Returns:
    The root topic with the given name, or null if no such topic exists.

### hashCode

    public int hashCode()

  Returns:
    A hash code based on the same values used for testing equality.
  See Also:
    `equals(Object)`

### hasTopic

    public final boolean hasTopic(java.lang.String topicName)

  Specified by:
    `hasTopic` in interface `TopicNamespace`
  Parameters:
    `topicName` -
  Returns:
    True if the namespace has a topic with the given name.

### removeTopic

    public final void removeTopic(java.lang.String topicName)

  Specified by:
    `removeTopic` in interface `TopicNamespace`

### setName

    public final void setName(java.lang.String name)

  Specified by:
    `setName` in interface `TopicNamespace`

### toString

    public java.lang.String toString()

### toXML

    public org.w3c.dom.Element toXML()

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Returns:
    An XML representation of this object.

### toXML

    public org.w3c.dom.Element toXML(org.w3c.dom.Document doc)

  Description copied from interface: `XmlSerializable`
  Converts this object into an XML representation, as defined by its related schema or specification. The format of the XML is dependent on the concrete type.

  Specified by:
    `toXML` in interface `XmlSerializable`
  Parameters:
    `doc` - The DOM Document that will be used to create all of the nodes in the resulting XML fragment.
  Returns:
    An XML representation of this object.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD